/* $OpenLDAP: pkg/ldap/include/getopt-compat.h,v 1.8 1999/11/27 22:40:08 hyc Exp $ */
/*
 * Copyright 1998,1999 The OpenLDAP Foundation, Redwood City, California, USA
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted only
 * as authorized by the OpenLDAP Public License.  A copy of this
 * license is available at http://www.OpenLDAP.org/license.html or
 * in file LICENSE in the top-level directory of the distribution.
 */
/*
 * getopt(3) declarations
 */
#ifndef _GETOPT_COMPAT_H
#define _GETOPT_COMPAT_H

#include <port_cdefs.h>

PORT_BEGIN_DECL

LIBLUTIL_F (char *) optarg;
LIBLUTIL_F (int) optind, opterr, optopt;

LIBLUTIL_F (int) getopt PORT_P(( int, char * const [], const char *));

PORT_END_DECL

#endif /* _GETOPT_COMPAT_H */
