/* $OpenLDAP: pkg/ldap/include/lutil_lockf.h,v 1.8 1999/11/27 22:40:08 hyc Exp $ */
/*
 * Copyright 1998,1999 The OpenLDAP Foundation, Redwood City, California, USA
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted only
 * as authorized by the OpenLDAP Public License.  A copy of this
 * license is available at http://www.OpenLDAP.org/license.html or
 * in file LICENSE in the top-level directory of the distribution.
 */

/* File locking methods
 *
 * lutil_lockf() will block until an exclusive lock is acquired.
 */

#ifndef _LUTIL_LOCKF_H_
#define _LUTIL_LOCKF_H_

#include "port_cdefs.h"  

PORT_BEGIN_DECL

LIBLUTIL_F( int )
lutil_lockf PORT_P(( int fd ));

LIBLUTIL_F( int )
lutil_unlockf PORT_P(( int fd ));

PORT_END_DECL

#endif /* _LUTIL_LOCKF_H_ */
