/* Generic setproctitle.h */
/* $OpenLDAP: pkg/ldap/include/ac/setproctitle.h,v 1.10 1999/11/27 22:40:09 hyc Exp $ */
/*
 * Copyright 1998,1999 The OpenLDAP Foundation, Redwood City, California, USA
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted only
 * as authorized by the OpenLDAP Public License.  A copy of this
 * license is available at http://www.OpenLDAP.org/license.html or
 * in file LICENSE in the top-level directory of the distribution.
 */

#ifndef _AC_SETPROCTITLE_H
#define _AC_SETPROCTITLE_H

#ifdef PORT_PROCTITLE

#if defined( HAVE_LIBUTIL_H )
#	include <libutil.h>
#else
	/* use lutil version */
	LIBLUTIL_F (void) (setproctitle) PORT_P((const char *fmt, ...)) \
	                            PORT_GCCATTR((format(printf, 1, 2)));
	LIBLUTIL_F (int) Argc;
	LIBLUTIL_F (char) **Argv;
#endif

#endif /* PORT_PROCTITLE */
#endif /* _AC_SETPROCTITLE_H */
