/* include/port_types.h.  Generated automatically by configure.  */
/* $OpenLDAP: pkg/ldap/include/lber_types.h.in,v 1.6 1999/11/23 22:07:00 kdz Exp $ */
/*
 * Copyright 1998,1999 The OpenLDAP Foundation, Redwood City, California, USA
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted only
 * as authorized by the OpenLDAP Public License.  A copy of this
 * license is available at http://www.OpenLDAP.org/license.html or
 * in file LICENSE in the top-level directory of the distribution.
 */

/*
 * LBER types
 */

#ifndef _PORT_TYPES_H
#define _PORT_TYPES_H

#include <port_threads_cdefs.h>

PORT_BEGIN_DECL

/* LBER boolean, enum, integers (32 bits or larger) */
/* #undef PORT_INT_T */

/* LBER tags (32 bits or larger) */
/* #undef PORT_TAG_T */

/* LBER socket descriptor */
/* #undef PORT_SOCKET_T */

/* LBER lengths (32 bits or larger) */
/* #undef PORT_LEN_T */

/* ------------------------------------------------------------ */

/* booleans, enumerations, and integers */
typedef PORT_INT_T ber_int_t;

/* signed and unsigned versions */
typedef signed PORT_INT_T ber_sint_t;
typedef unsigned PORT_INT_T ber_uint_t;

/* tags */
typedef unsigned PORT_TAG_T ber_tag_t;

/* "socket" descriptors */
typedef PORT_SOCKET_T ber_socket_t;

/* lengths */
typedef unsigned PORT_LEN_T ber_len_t;

/* signed lengths */
typedef signed PORT_LEN_T ber_slen_t;

PORT_END_DECL

#endif /* _PORT_TYPES_H */
